Subject: Add XLIFF files
Description

Now that we basically support XLIFF files, we should use this file format.

See #25397.

The attached patch was created by Dominique Feyer using the LLXML2XLIFF-Tool.

Related issues:
related to Core - Feature # 25397: Adding XLIFF support as the default format... Closed 2011-06-24
follows Core - Task # 27416: Fix localization handling to support XLIFF Closed 2011-06-13

Associated revisions
Revision ad08acff - 2011-08-10 19:01 - Philipp Gampe 

[TASK] Add XLIFF files

The patch was created by Dominique Feyer using the
LLXML2XLIFF-Tool.

Change-Id: Ib8992e127686d674998b828f0e4876845e09cd64
Resolves: #28277

Revision 4eb1fc3c - 2011-08-10 19:01 - Philipp Gampe

[TASK] Add XLIFF files

The patch was created by Dominique Feyer using the
LLXML2XLIFF-Tool.

Change-Id: Ib8992e127686d674998b828f0e4876845e09cd64
Resolves: #28277

History
#1 - 2011-07-17 22:56 - Chris topher
- File linkvalidator_XLIFF.patch added

#2 - 2011-07-17 23:07 - Chris topher
- File linkvalidator_XLIFF_v2.patch added
https://github.com/dfeyer/llxml2xliff


Dominique's patch used wrong indentation: spaces instead of tabs. I fixed this in v2.

#3 - 2011-07-17 23:15 - Chris topher

I think the old xml files can then be removed as done in https://review.typo3.org/#change,2726.
Currently the translation server is down for the needed updates to XLIFF. As long as that is the case, we won't have localizations available, if we merge
that change.

If that is working we should then also go away from including the .xml files with the language labels and instead use the .xlf files.

#4 - 2011-08-02 13:52 - Xavier Perseguers

What about this?

#5 - 2011-08-06 22:17 - Chris topher
- Assigned To set to Chris topher

#6 - 2011-08-06 23:04 - Chris topher
- Assigned To deleted (Chris topher)

My EGit got broken, it does not let me commit right now.

But I tested v2: It works. Don't forget to delete the 4 XML files.

#7 - 2011-08-10 19:02 - Mr. Hudson

Patch set 1 of change Ib8992e127686d674998b828f0e4876845e09cd64 has been pushed to the review server.
It is available at http://review.typo3.org/4260

#8 - 2011-08-10 19:30 - Philipp Gampe
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ad08acff7c7dec1bc8742ff7e78b3defb1e41b9c.

#9 - 2011-08-11 17:04 - Chris topher

Thank you, Philipp!

#10 - 2011-08-11 17:22 - Philipp Gampe

How about TYPO3_4-5? Does this use xliff yet?
https://review.typo3.org/#change,2726
http://review.typo3.org/4260


#11 - 2011-08-11 17:26 - Chris topher

No; at least not yet.

Maybe it gets backported, but this has not yet happened.

#12 - 2012-03-07 15:39 - Chris topher
- Status changed from Resolved to Closed

#13 - 2013-12-10 01:31 - Michael Stucki
- Category set to Linkvalidator

#14 - 2013-12-10 01:33 - Michael Stucki
- Project changed from Linkvalidator to Core
- Category changed from Linkvalidator to Linkvalidator

Files
linkvalidator_XLIFF.patch 21.9 kB 2011-07-17 Chris topher
linkvalidator_XLIFF_v2.patch 20.5 kB 2011-07-17 Chris topher
